=== debian/changelog ===
olive-editor (20221024+ds-1) unstable; urgency=medium

  * New upstream version. (Closes: #1022066)

 -- Gürkan Myczko <tar@debian.org>  Mon, 24 Oct 2022 08:04:06 +0200
