=== debian/control ===
Source: olive-editor
Section: video
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Gürkan Myczko <tar@debian.org>
Build-Depends: debhelper-compat (= 13),
 qtmultimedia5-dev,
 libqt5multimedia5-plugins,
 libavfilter-dev,
 libqt5opengl5-dev,
 frei0r-plugins-dev,
 libqt5opengl5-dev,
 libqt5svg5-dev,
 libavformat-dev,
 libavcodec-dev,
 libavutil-dev,
 libswscale-dev,
 libswresample-dev,
 libpostproc-dev,
 portaudio19-dev,
 cmake,
 qttools5-dev,
 libopencolorio-dev,
 libopenimageio-dev,
 libopenexr-dev
Standards-Version: 4.6.1
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/multimedia-team/olive-editor.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/olive-editor
Homepage: https://www.olivevideoeditor.org/

Package: olive-editor
Architecture: amd64 arm64 mips64el ppc64el s390x alpha ppc64 riscv64
Depends: ${shlibs:Depends}, ${misc:Depends}, ffmpeg, frei0r-plugins, libqt5multimedia5-plugins
Description: Professional open-source NLE video editor
 This is a free non-linear video editor. It provides sensible cutting tools,
 and basic FX animation. There are solic color and title generators, for cutting
 it has tools like Razor, Ripple, Slide, and Slip.
