=== app/codec/CMakeLists.txt ===
--- 
+++ 
@@ -33,7 +33,5 @@
   codec/frame.h
   codec/planarfiledevice.cpp
   codec/planarfiledevice.h
-  codec/samplebuffer.cpp
-  codec/samplebuffer.h
   PARENT_SCOPE
 )
