=== app/common/CMakeLists.txt ===
--- 
+++ 
@@ -16,11 +16,8 @@
 
 set(OLIVE_SOURCES
   ${OLIVE_SOURCES}
-  common/bezier.cpp
-  common/bezier.h
   common/cancelableobject.h
   common/channellayout.h
-  common/clamp.h
   common/commandlineparser.cpp
   common/commandlineparser.h
   common/crashpadinterface.cpp
@@ -50,13 +47,7 @@
   common/range.h
   common/ratiodialog.cpp
   common/ratiodialog.h
-  common/rational.cpp
-  common/rational.h
   common/threadsafemap.h
-  common/timecodefunctions.cpp
-  common/timecodefunctions.h
-  common/timerange.cpp
-  common/timerange.h
   common/tohex.h
   common/util.h
   common/xmlutils.cpp
