=== app/crashhandler/CMakeLists.txt ===
--- 
+++ 
@@ -39,10 +39,10 @@
 target_link_libraries(
   olive-crashhandler
   PRIVATE
-  Qt5::Core
-  Qt5::Gui
-  Qt5::Widgets
-  Qt5::Network
+  Qt${QT_VERSION_MAJOR}::Core
+  Qt${QT_VERSION_MAJOR}::Gui
+  Qt${QT_VERSION_MAJOR}::Widgets
+  Qt${QT_VERSION_MAJOR}::Network
   ${CRASHPAD_LIBRARIES}
 )
