=== debian/changelog ===
olive-editor (20230614+ds-2) unstable; urgency=medium

  * d/control: add missing build-depends qtbase5-private-dev,
    qttools5-private-dev, qtbase5-dev, libqwt-qt5-dev, libqt5x11extras5-dev.
    (Closes: #1060206)
  * Bump standards version to 4.7.0.
  * New upstream version. (Closes: #1068137)

 -- Alex Myczko <tar@debian.org>  Thu, 04 Jan 2024 09:19:21 +0100

olive-editor (20230614+ds-1) unstable; urgency=medium

  * New upstream version.
  * Apply patch to also build on loong64, thanks yalingfang.
    (Closes: #1059958)
  * d/copyright: bump year.

 -- Gürkan Myczko <tar@debian.org>  Thu, 04 Jan 2024 08:16:50 +0100
