=== debian/control ===
--- 
+++ 
@@ -2,12 +2,15 @@
 Section: video
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
-Uploaders: Gürkan Myczko <tar@debian.org>
+Uploaders: Alex Myczko <tar@debian.org>
 Build-Depends: debhelper-compat (= 13),
  qtmultimedia5-dev,
+ qt6-multimedia-dev,
+ qml6-module-qtmultimedia,
  libqt5multimedia5-plugins,
  libavfilter-dev,
  libqt5opengl5-dev,
+ libqt5x11extras5-dev,
  frei0r-plugins-dev,
  libqt5opengl5-dev,
  libqt5svg5-dev,
@@ -20,17 +23,21 @@
  portaudio19-dev,
  cmake,
  qttools5-dev,
+ qtbase5-dev,
+ qtbase5-private-dev,
+ qttools5-private-dev,
+ libqwt-qt5-dev,
  libopencolorio-dev,
  libopenimageio-dev,
  libopenexr-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/multimedia-team/olive-editor.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/olive-editor
 Homepage: https://www.olivevideoeditor.org/
 
 Package: olive-editor
-Architecture: amd64 arm64 mips64el ppc64el s390x alpha ppc64 riscv64
+Architecture: amd64 arm64 mips64el ppc64el s390x alpha ppc64 riscv64 loong64
 Depends: ${shlibs:Depends}, ${misc:Depends}, ffmpeg, frei0r-plugins, libqt5multimedia5-plugins
 Description: Professional open-source NLE video editor
  This is a free non-linear video editor. It provides sensible cutting tools,
